Subject: Brass Rulers

From: "Charles Orlando" <[email-masked]>
Date: Thu, 14 Mar 96 21:43:10 EST

Someone asked about a source for brass rulers.  There are two sources 
I know of.  One is the Rite-Mark Stamp Company of Madison Heights, MI 
and the other is through the Spanish Lake Forge Company of Floristell, 
MO (Bob Schantz's) place.  I stopped to see him recently and he was 
selling a very nice brass ruler.  I didn't ask the price.  The 
Michigan rulers are nice because they are stamped deeply and you don't 
have any problem reading them.  They were about $25 the last time we 
ordered them
Hope this helps.  I use brass all the time.  Have about five around 
the shop and carry one on my horseshoeing rig.
They are great because they don't rust and you can cool them without 
worrying.
Charley